Subject: bug#51135: closed (Re: bug#51135: timeout: --foreground causes exit status 124, even if KILL was used)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Oct 2021 21:05:01 +0000

Your bug report

#51135: timeout: --foreground causes exit status 124, even if KILL was used

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51135: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51135
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51135: timeout: --foreground causes exit status 124, even if KILL was used
From: Pádraig Brady <[email-masked]>
To: Christoph Anton Mitterer <[email-masked]>, [email-masked]
Date: Mon, 11 Oct 2021 22:04:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/10/2021 19:01, Christoph Anton Mitterer wrote:
> Hey.
> 
> 
> This time I've also checked the 9.0 documentation (hopefully I wasn't
> just too blind).
> 
> 
> I noticed that whenever --foreground is used, timeout exits with a 124
> status (instead of the documented 128+9) regardless of whether the KILL
> is sent because of --signal=KILL or --kill-after=n .

Yes --foreground gives timeout(1) more control over the exit status in this case.
I'll add some clarification to the texinfo manual along these lines:

-In case of the @samp{KILL(9)} signal, @command{timeout} returns with
+In the case of the @samp{KILL(9)} signal, @command{timeout} returns with
  exit status 137, regardless of whether that signal is sent to @var{command}
  or to @command{timeout} itself, i.e., these cases cannot be distinguished.
  In the latter case, the @var{command} process may still be alive after
  @command{timeout} has forcefully been terminated.
+However if the @option{--foreground} option is specified then
+@command{timeout} will not send any signals to its own process,
+and so it will exit with one of the other exit status values detailed above.

thanks,
Pádraig

Subject: timeout: --foreground causes exit status 124, even if KILL was used
From: Christoph Anton Mitterer <[email-masked]>
To: [email-masked]
Date: Mon, 11 Oct 2021 20:01:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey.

This time I've also checked the 9.0 documentation (hopefully I wasn't
just too blind).

I noticed that whenever --foreround is used, timeout exits with a 124
status (instead of the documented 128+9) regardless of whether the KILL
is sent because of --signal=KILL or --kill-after=n .

Thanks,
Chris.

btw: I'm sill on Debian sid's 8.32 version of coreutils.